
function mudfish_adclean_0b65ad2d2a274547537188fe0deddcf2() {
  var g_conf = {
    mudfish_adclean_filter_on: true
  };
  chrome.storage.local.get(g_conf, function (items) {
    if (!g_conf.mudfish_adclean_filter_on) {
      return;
    }
    try {
      Sizzle(`section[class*="main-major-news"] li[class]`).forEach(element => {
        element.style.display = "none";
      });
    } catch (error) {
      console.log('[ERROR] mudfish_adclean rule error: ' + error);
    }
  });
}

var mudfish_adclean_is_firefox = typeof InstallTrigger !== 'undefined';
if (mudfish_adclean_is_firefox) {
  mudfish_adclean_0b65ad2d2a274547537188fe0deddcf2();
} else {
  window.addEventListener("load", (event) => {
    mudfish_adclean_0b65ad2d2a274547537188fe0deddcf2();
  });
}
